RegisteredTrigger (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.events.server.session.RegisteredTrigger class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.events.server.session
Class RegisteredTrigger

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.events.server.session.RegisteredTrigger

All Implemented Interfaces:
  java.io.Serializable

    public class RegisteredTrigger

extends PersistedObject

See Also:
  Serialized Form

Constructor Summary
`protected` | `RegisteredTrigger()`
`` | `RegisteredTrigger(RegisteredTriggerValue val)`

Method Summary
`AlertDefinition` | `getAlertDefinition()`
`java.lang.String` | `getClassname()`
`byte[]` | `getConfig()`
`long` | `getFrequency()`
`RegisteredTriggerValue` | `getRegisteredTriggerValue()` Deprecated.
`protected void` | `setAlertDefinition(AlertDefinition def)`
`protected void` | `setClassname(java.lang.String className)`
`protected void` | `setConfig(byte[] config)`
`void` | `setFrequency(long frequency)`
`protected void` | `setRegisteredTriggerValue(RegisteredTriggerValue val)`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`equals, get_version_, getId, hashCode, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegisteredTrigger

    protected RegisteredTrigger()

### RegisteredTrigger

    public RegisteredTrigger(RegisteredTriggerValue val)

Method Detail

### setRegisteredTriggerValue

    protected void setRegisteredTriggerValue(RegisteredTriggerValue val)

### getRegisteredTriggerValue

    public RegisteredTriggerValue getRegisteredTriggerValue()

  Deprecated.

  Get the old style value object

  Returns:
    RegisteredTriggerValue object

### getClassname

    public java.lang.String getClassname()

### getConfig

    public byte[] getConfig()

### getFrequency

    public long getFrequency()

### setClassname

    protected void setClassname(java.lang.String className)

### setConfig

    protected void setConfig(byte[] config)

### setFrequency

    public void setFrequency(long frequency)

### getAlertDefinition

    public AlertDefinition getAlertDefinition()

### setAlertDefinition

    protected void setAlertDefinition(AlertDefinition def)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.